Bug 59837 - Modifying the filesystem type in `Make RAID Device' crashes installer
Summary: Modifying the filesystem type in `Make RAID Device' crashes installer
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-13 19:26 UTC by Alexandre Oliva
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-20 22:58:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2002-02-13 19:26:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020204

Description of problem:
When attempting to create a RAID device in the text installer, changes in the
filesystem type gets the installer dump a stack trace and abort.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot installer in `text' mode.
2.Verify that /dev/hda8 and /dev/hdc1 are existing Software R[aid] partitions
3.Choose RAID to create a RAID device out of them
4.Type up-arrow, or down-arrow then up-arrow, or 3 times down-arrow, in the
Filesystem type box
	

Actual Results:  Just after selecting a mountable filesystem type such as ext2
or ext3 (i.e., not LVM or swap), the installer presumably attempts to verify
whether a previously-existing partition is mount-compatible with the selection.
 In the case of a new RAID device, there's no `oldMount' attribute in the
partition object, so it dumps a stack trace:

File "/usr/lib/anaconda/textw/partition_text.py", line 201, in fstypeSetCB
  self.fstypeSet((listbox.current(), entry))
File "/usr/lib/anaconda/textw/partition_text.py", line 192, in fstypeSet
  if self.oldMount:
AttributeError: PartitionWindow instance has no attribute 'oldMount'


Expected Results:  It should check whether self.oldMount exists before accessing
it, or this attribute should always be set.

Additional info:

Comment 1 Alexandre Oliva 2002-03-10 12:15:53 UTC
Fixed in beta2.


Note You need to log in before you can comment on or make changes to this bug.